<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title></title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_rsl_predicates</name>
    <title>RSL Predicates</title>
    <filename>group__globus__rsl__predicates.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation</name>
      <anchor>ga0</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean</name>
      <anchor>ga1</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_eq</name>
      <anchor>ga2</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_lessthan</name>
      <anchor>ga3</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_relation_attribute_equal</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_t *ast, char *attribute)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_and</name>
      <anchor>ga5</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_or</name>
      <anchor>ga6</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_is_boolean_multi</name>
      <anchor>ga7</anchor>
      <arglist>(globus_rsl_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_literal</name>
      <anchor>ga8</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_sequence</name>
      <anchor>ga9</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_variable</name>
      <anchor>ga10</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_is_concatenation</name>
      <anchor>ga11</anchor>
      <arglist>(globus_rsl_value_t *ast)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_constructors</name>
    <title>RSL Constructors</title>
    <filename>group__globus__rsl__constructors.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_boolean</name>
      <anchor>ga0</anchor>
      <arglist>(int operator, globus_list_t *children)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_make_relation</name>
      <anchor>ga1</anchor>
      <arglist>(int operator, char *attributename, globus_rsl_value_t *value_sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_literal</name>
      <anchor>ga2</anchor>
      <arglist>(char *string)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_sequence</name>
      <anchor>ga3</anchor>
      <arglist>(globus_list_t *value_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_variable</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_value_t *sequence)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_make_concatenation</name>
      <anchor>ga5</anchor>
      <arglist>(globus_rsl_value_t *left_value, globus_rsl_value_t *right_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_memory</name>
    <title>RSL Memory Management</title>
    <filename>group__globus__rsl__memory.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_copy_recursive</name>
      <anchor>ga0</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_copy_recursive</name>
      <anchor>ga1</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free</name>
      <anchor>ga2</anchor>
      <arglist>(globus_rsl_value_t *val)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free</name>
      <anchor>ga3</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_free_recursive</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_free_recursive</name>
      <anchor>ga5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_literal_replace</name>
      <anchor>ga6</anchor>
      <arglist>(globus_list_t *value_list, char *string_value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_eval</name>
      <anchor>ga7</anchor>
      <arglist>(globus_rsl_value_t *ast_node, globus_symboltable_t *symbol_table, char **string_value, int rsl_substitution_flag)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_eval</name>
      <anchor>ga8</anchor>
      <arglist>(globus_rsl_t *ast_node, globus_symboltable_t *symbol_table)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_accessor</name>
    <title>RSL Accessor Functions</title>
    <filename>group__globus__rsl__accessor.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_boolean_get_operator</name>
      <anchor>ga0</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_boolean_get_operand_list</name>
      <anchor>ga1</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_boolean_get_operand_list_ref</name>
      <anchor>ga2</anchor>
      <arglist>(globus_rsl_t *boolean_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_relation_get_attribute</name>
      <anchor>ga3</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_relation_get_operator</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_value_sequence</name>
      <anchor>ga5</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_relation_get_single_value</name>
      <anchor>ga6</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_literal_get_string</name>
      <anchor>ga7</anchor>
      <arglist>(globus_rsl_value_t *literal_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_value_sequence_get_value_list</name>
      <anchor>ga8</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_variable_get_sequence</name>
      <anchor>ga9</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_name</name>
      <anchor>ga10</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_variable_get_default</name>
      <anchor>ga11</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_variable_get_size</name>
      <anchor>ga12</anchor>
      <arglist>(globus_rsl_value_t *variable_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_left</name>
      <anchor>ga13</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_rsl_value_t *</type>
      <name>globus_rsl_value_concatenation_get_right</name>
      <anchor>ga14</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t **</type>
      <name>globus_rsl_value_sequence_get_list_ref</name>
      <anchor>ga15</anchor>
      <arglist>(globus_rsl_value_t *sequence_node)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_list</name>
    <title>List Functions</title>
    <filename>group__globus__list.html</filename>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_list_copy_reverse</name>
      <anchor>ga0</anchor>
      <arglist>(globus_list_t *orig)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_param</name>
    <title>RSL Value Accessors</title>
    <filename>group__globus__rsl__param.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_left</name>
      <anchor>ga0</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_left_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_concatenation_set_right</name>
      <anchor>ga1</anchor>
      <arglist>(globus_rsl_value_t *concatenation_node, globus_rsl_value_t *new_right_node)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_list_param_get</name>
      <anchor>ga2</anchor>
      <arglist>(globus_list_t *ast_node_list, int required_type, char ***value, int *value_ctr)</arglist>
    </member>
    <member kind="function">
      <type>globus_list_t *</type>
      <name>globus_rsl_param_get_values</name>
      <anchor>ga3</anchor>
      <arglist>(globus_rsl_t *ast_node, char *param)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_param_get</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_t *ast_node, int param_type, char *param, char ***values)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_print</name>
    <title>RSL Display</title>
    <filename>group__globus__rsl__print.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_value_print_recursive</name>
      <anchor>ga0</anchor>
      <arglist>(globus_rsl_value_t *globus_rsl_value_ptr)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_get_operator</name>
      <anchor>ga1</anchor>
      <arglist>(int my_op)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_rsl_print_recursive</name>
      <anchor>ga2</anchor>
      <arglist>(globus_rsl_t *ast_node)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_unparse</name>
      <anchor>ga3</anchor>
      <arglist>(globus_rsl_t *rsl_spec)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_rsl_value_unparse</name>
      <anchor>ga4</anchor>
      <arglist>(globus_rsl_value_t *rsl_value)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_rsl_parse</name>
    <title>RSL Parsing</title>
    <filename>group__globus__rsl__parse.html</filename>
    <member kind="function">
      <type>globus_rsl_t *</type>
      <name>globus_rsl_parse</name>
      <anchor>ga0</anchor>
      <arglist>(char *buf)</arglist>
    </member>
  </compound>
</tagfile>
